RSS

Kadu 0.6.5-beta1 pod Kubuntu

01 Wrz

Podobno nowa stabilna wersja Kadu już niedługo ma wyjść a w międzyczasie wyszła wersja 0.6.5-beta1. Najważniejsze zmiany w tej wersji Kadu to:

* Pełny port funkcjonalności Kadu 0.6.0 do biblioteki QT w wersji czwartej. Przeportowanie Kadu na nowoczesną bibliotekę Qt4, która jest szybsza, udostępnia nam także wiele nowoczesnych technologii.
* Obsługa silnika WebKit w oknie rozmowy i panelu informacyjnym dającego duże możliwości konfiguracji stylów.
* Zastąpienie systemu budowania opartego na Autotools przez nowocześniejsze Cmake
* Wydzielono bibliotekę libgadu ze źródeł Kadu. Libgadu znajduje się teraz w zależnościach Kadu.
* Port na platformę Windows

Postanowiłem pobawić się trochę w testera w ramach odpoczynku między nauką do sesji poprawkowej. Od samego początku zaczęło się ciekawie wypluwając błędy typu :

-- checking for one of the modules 'sndfile>=1.0'
CMake Error at /usr/share/cmake-2.6/Modules/FindPkgConfig.cmake:350 (message):
None of the required 'sndfile>=1.0' found
Call Stack (most recent call first):
modules/sound/CMakeLists.txt:41 (pkg_search_module)

-- checking for one of the modules 'libgadu>=1.8.0'
CMake Error at /usr/share/cmake-2.6/Modules/FindPkgConfig.cmake:350 (message):
None of the required 'libgadu>=1.8.0' found
Call Stack (most recent call first):
CMakeLists.txt:90 (pkg_search_module)

config.status: error: cannot find input file: Makefile.in

żeby rozwiązać ten problemy trzeba ściągnąć następujące paczki :
libgadu-dev_1.8.0+r592-1_i386.deb
libgadu3_1.8.0+r592-1_i386.deb
libsndfile1-dev_1.0.17-4_i386.deb

oczywiście wymagane jest samo Kadu ;]
http://www.kadu.net/download/stable/kadu-0.6.5-beta1.tar.bz2

Instalacja :
sudo dpkg -i libgadu3_1.8.0+r592-1_i386.deb libgadu-dev_1.8.0+r592-1_i386.deb
sudo dpkg -i libsndfile1-dev_1.0.17-4_i386.deb
sudo apt-get install libflac-dev automake1.9
sudo apt-get -f install

Rozpakowujemy paczkę z Kadu

cd kadu
cmake .
make
sudo make install

Free Image Hosting at www.ImageShack.us

Linki:
http://packages.ubuntu.com/intrepid/i386/libsndfile1-dev/download
http://packages.ubuntu.com/intrepid/i386/libgadu-dev/download
http://packages.ubuntu.com/intrepid/i386/libgadu3/download
http://www.kadu.net/w/Aktualno%C5%9Bci

 
Dodaj komentarz

Opublikował/a w dniu Wrzesień 1, 2008 w Linux

 

Skomentuj

Wprowadź swoje dane lub kliknij jedną z tych ikon, aby się zalogować:

Logo WordPress.com

Komentujesz korzystając z konta WordPress.com. Log Out / Zmień )

Zdjęcie z Twittera

Komentujesz korzystając z konta Twitter. Log Out / Zmień )

Facebook photo

Komentujesz korzystając z konta Facebook. Log Out / Zmień )

Google+ photo

Komentujesz korzystając z konta Google+. Log Out / Zmień )

Connecting to %s

 
%d bloggers like this: